/* tslint:disable object-literal-sort-keys */
export const setRecord = (id, fields) => ({
    type: "SetRecord",
    id,
    fields,
});
export const addField = (id, field, value) => ({
    type: "AddField",
    id,
    field,
    value,
});
export const setField = (id, field, value) => ({
    type: "SetField",
    id,
    field,
    value,
});
export const deleteAllFieldsMatching = (field, value) => ({
    type: "DeleteAllFieldsMatching",
    field,
    value,
});
export const deleteFieldMatching = (id, field, value) => ({
    type: "DeleteFieldMatching",
    id,
    field,
    value,
});
export const deleteField = (id, field) => ({
    type: "DeleteField",
    id,
    field,
});
export const invalidateRecord = (id) => ({
    type: "InvalidateRecord",
    id,
});
export const invalidateAllWithProperty = (field, value) => ({
    type: "InvalidateAllWithProperty",
    field,
    value,
});
/* tslint:enable object-literal-sort-keys */
