import { sameAs } from "@ontologies/owl";
const nsOWLsameAs = sameAs.value;
export const OWL = {
    axioms: [],
    processStatement(recordId, field, value, ctx) {
        if (field === nsOWLsameAs && recordId !== value.value) {
            const a = ctx.equivalenceSet.add(value.value);
            const b = ctx.equivalenceSet.add(recordId);
            ctx.equivalenceSet.union(a, b);
        }
    },
    processType(_, __) {
        return false;
    },
};
