import { hextuplesTransformer } from "hextuples";
export const hextupleProcessor = {
    acceptValue: 1.0,
    mediaTypes: ["application/hex+x-ndjson"],
    transformer: (store) => (res) => {
        const isExpedited = res.hasOwnProperty("expedite")
            ? res.expedite
            : false;
        return hextuplesTransformer(res)
            .then((delta) => store.queueDelta(delta, isExpedited))
            .then(() => []);
    },
};
