import { normalizeType } from "../utilities";
export const mergeTerms = (a, b) => {
    if (Array.isArray(a)) {
        return Array.from(new Set([...a, ...normalizeType(b)]));
    }
    else if (a) {
        return Array.from(new Set([a, ...normalizeType(b)]));
    }
    else {
        return b;
    }
};
export const isLocalId = (id) => id.startsWith("_:");
export const isGlobalId = (id) => id.startsWith("/") || (id.includes(":") && !id.startsWith("_:"));
