import { LinkedDataAPI } from "./LinkedDataAPI";
import { DataProcessor } from "./processor/DataProcessor";
import { MiddlewareFn } from "./types";
/**
 * Binds various uris to link actions.
 *
 * @see {createStore}
 * @param catchActions {boolean} Set to true to catch all left-over actions to {LinkedRenderStore#execActionByIRI}.
 */
export declare const linkMiddleware: <T, API extends LinkedDataAPI = DataProcessor>(catchActions?: boolean) => MiddlewareFn<T, API>;
