import { Quadruple } from "@ontologies/core";
import { RDFAdapter } from "../store/RDFAdapter";
import { ResponseAndFallbacks } from "../types";
export declare type RDFLibParse = (str: string, kb: RDFAdapter, base: string, contentType: string, callback: () => void) => void;
/**
 * Processes a range of media types with parsers from the
 * [rdflib.js package](https://www.npmjs.com/package/rdflib).
 */
export declare const createProcessRDF: (rdfParse: RDFLibParse) => (response: ResponseAndFallbacks) => Promise<Quadruple[]>;
