import { DataFactory, Quad, Term } from "@ontologies/core";
import { Id } from "./datastrucures/DataSlice";
import { SomeNode } from "./types";
export declare type Comparator = (a: any, b: any) => boolean;
export declare const createEqualComparator: (factory: DataFactory) => Comparator;
/** @internal */
export declare const equals: Comparator;
/** @internal */
export declare const id: (obj?: Term | Quad | any) => number;
/** @internal */
export declare const value: (obj?: Term | undefined) => string;
export declare const idToValue: (recordId: Id) => SomeNode;
