import { NamedNode } from "@ontologies/core";
export declare const F_NTRIPLES = "application/n-triples";
export declare const F_NQUADS = "application/n-quads";
export declare const F_TURTLE = "text/turtle";
export declare const F_N3 = "text/n3";
export declare const F_PLAIN = "text/plain";
export declare const F_JSON = "application/json";
export declare const F_JSONLD = "application/ld+json";
export declare const F_RDF_XML = "application/rdf+xml";
export declare const F_NTRIPLES_DEP = "text/ntriples";
export declare const F_TURTLE_DEP = "application/x-turtle";
export declare const NON_CONTENT_EXTS: string[];
export declare const DEFAULT_TOPOLOGY: NamedNode;
/** Constant used to determine that a class is used to render a type rather than a property. */
export declare const RENDER_CLASS_NAME: NamedNode;
export declare const MAIN_NODE_DEFAULT_IRI: NamedNode;
export declare const NON_DATA_OBJECTS_CTORS: Function[];
export declare const MSG_BAD_REQUEST = "Request failed with bad status code";
export declare const MSG_INCORRECT_TARGET = "Collections or Literals can't be the target";
export declare const MSG_URL_UNDEFINED = "No url given with action.";
export declare const MSG_URL_UNRESOLVABLE = "Can't execute action with non-named-node url.";
